# Copyright (c) 2015, XhiveFramework Technologies and Contributors
# License: MIT. See LICENSE
import xhiveframework
from xhiveframework.tests.utils import XhiveFrameworkTestCase

# test_records = xhiveframework.get_test_records('Error Log')


class TestErrorLog(XhiveFrameworkTestCase):
	def test_error_log(self):
		"""let's do an error log on error log?"""
		doc = xhiveframework.new_doc("Error Log")
		error = doc.log_error("This is an error")
		self.assertEqual(error.doctype, "Error Log")
